Subject: Re: bug#71555: 29.3.50; Native-compilation sets some variable to nil unexpectedly.

From: Andrea Corallo <[email-masked]>
Date: Mon, 17 Jun 2024 10:38:54 -0400

Sévère Durand <[email-masked]> writes:

> Hello Mr.Andrea:
> Thanks for the suggestion.
> Unfortunately when I tried the afore-mentionned snippet with `(declare (speed 0))` added after the documentation string
> of the `test` function, the execution results still indicate that the START variable is unexpectedly set to nil, for some
> reason.

I think it's because you are giving to the native compiler an already
defined function to compile.

If you use M-x emacs-lisp-native-compile-and-load or (load
(native-compile FILE)) it will work.  I tried the first on 29 and work
around the original issue successfully.

BTW I believe this different handling of the declare could be worth a
separate bug.

Thanks

  Andrea